Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ElementEditAS

All Superinterfaces:
  NodeEditAS

public interface ElementEditAS
extends NodeEditAS

This interface extends the `Element` interface with additional methods for guided document editing. An object implementing this interface must also implement NodeEditAS interface.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Fields inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`NS_WF_CHECK, PARTIAL_VALIDITY_CHECK, STRICT_VALIDITY_CHECK, WF_CHECK`

Method Summary
`boolean` | `canRemoveAttribute(java.lang.String attrname)` Verifies if an attribute by the given name can be removed.
`boolean` | `canRemoveAttributeNode(org.w3c.dom.Node attrNode)` Determines if an attribute node can be removed.
`boolean` | `canRemoveAttributeNS(java.lang.String attrname, java.lang.String namespaceURI)` Verifies if an attribute by the given local name and namespace can be removed.
`boolean` | `canSetAttribute(java.lang.String attrname, java.lang.String attrval)` Determines if the value for specified attribute can be set.
`boolean` | `canSetAttributeNode(org.w3c.dom.Attr attrNode)` Determines if an attribute node can be added with respect to the validity check level.This is an attribute node, there is no need for canSetAttributreNodeNS!
`boolean` | `canSetAttributeNS(java.lang.String name, java.lang.String attrval, java.lang.String namespaceURI)` Determines if the attribute with given namespace and qualified name can be created if not already present in the attribute list of the element.
`short` | `contentType()` Determines element content type.
`org.w3c.dom.NodeList` | `getAttributeList()` Returns an `NodeList` containing all the possible `Attr`s that can appear with this type of element.
`org.w3c.dom.NodeList` | `getChildElements()` Returns an `NodeList` containing the possible `Element` names that can appear as children of this type of element.
`org.w3c.dom.NodeList` | `getDefinedElementTypes()` The list of qualified element names defined in the abstract schema.
`org.w3c.dom.NodeList` | `getParentElements()` Returns an `NodeList` containing the possible `Element` names that can appear as a parent of this type of element.
`boolean` | `isElementDefined(java.lang.String elemTypeName)` Determines if this element is defined in the currently active AS.
`boolean` | `isElementDefinedNS(java.lang.String elemTypeName, java.lang.String namespaceURI, java.lang.String name)` Determines if this element in this namespace is defined in the currently active AS.

Methods inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, isNodeValid`

Method Detail

### getDefinedElementTypes

    public org.w3c.dom.NodeList getDefinedElementTypes()

  The list of qualified element names defined in the abstract schema.

### contentType

    public short contentType()

  Determines element content type.
  Returns:
    Constant for one of EMPTY_CONTENTTYPE, ANY_CONTENTTYPE, MIXED_CONTENTTYPE, ELEMENTS_CONTENTTYPE.

### canSetAttribute

    public boolean canSetAttribute(java.lang.String attrname,
                                   java.lang.String attrval)

  Determines if the value for specified attribute can be set.
  Parameters:
    `attrname` - Name of attribute.
    `attrval` - Value to be assigned to the attribute.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canSetAttributeNode

    public boolean canSetAttributeNode(org.w3c.dom.Attr attrNode)

  Determines if an attribute node can be added with respect to the validity check level.This is an attribute node, there is no need for canSetAttributreNodeNS!
  Parameters:
    `attrNode` - `Node` in which the attribute can possibly be set.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canSetAttributeNS

    public boolean canSetAttributeNS(java.lang.String name,
                                     java.lang.String attrval,
                                     java.lang.String namespaceURI)

  Determines if the attribute with given namespace and qualified name can be created if not already present in the attribute list of the element. If the attribute with same qualified name and namespaceURI is already present in the elements attribute list it tests for the value of the attribute and its prefix to the new value. See DOM core `setAttributeNS`.
  Parameters:
    `name` - Qualified name of attribute.
    `attrval` - Value to be assigned to the attribute.
    `namespaceURI` - `namespaceURI` of namespace.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canRemoveAttribute

    public boolean canRemoveAttribute(java.lang.String attrname)

  Verifies if an attribute by the given name can be removed.
  Parameters:
    `attrname` - Name of attribute.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canRemoveAttributeNS

    public boolean canRemoveAttributeNS(java.lang.String attrname,
                                        java.lang.String namespaceURI)

  Verifies if an attribute by the given local name and namespace can be removed.
  Parameters:
    `attrname` - Local name of the attribute to be removed.
    `namespaceURI` - The namespace URI of the attribute to remove.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canRemoveAttributeNode

    public boolean canRemoveAttributeNode(org.w3c.dom.Node attrNode)

  Determines if an attribute node can be removed.
  Parameters:
    `attrNode` - The `Attr` node to remove from the attribute list.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### getChildElements

    public org.w3c.dom.NodeList getChildElements()

  Returns an `NodeList` containing the possible `Element` names that can appear as children of this type of element.
  Returns:
    List of possible children element types of this element.

### getParentElements

    public org.w3c.dom.NodeList getParentElements()

  Returns an `NodeList` containing the possible `Element` names that can appear as a parent of this type of element.
  Returns:
    List of possible parent element types of this element.

### getAttributeList

    public org.w3c.dom.NodeList getAttributeList()

  Returns an `NodeList` containing all the possible `Attr`s that can appear with this type of element.
  Returns:
    List of possible attributes of this element.

### isElementDefined

    public boolean isElementDefined(java.lang.String elemTypeName)

  Determines if this element is defined in the currently active AS.
  Parameters:
    `elemTypeName` - Name of element.
  Returns:
    A boolean that is `true` if the element is defined, `false` otherwise.

### isElementDefinedNS

    public boolean isElementDefinedNS(java.lang.String elemTypeName,
                                      java.lang.String namespaceURI,
                                      java.lang.String name)

  Determines if this element in this namespace is defined in the currently active AS.
  Parameters:
    `elemTypeName` - Name of element.
    `namespaceURI` - `namespaceURI` of namespace.
    `name` - Qualified name of namespace. This is for sub-elements.
  Returns:
    A boolean that is `true` if the element is defined, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.